/*
  Copyright Red Hat, Inc. 2008

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; version 2.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to the
  Free Software Foundation, Inc.,  675 Mass Ave, Cambridge, 
  MA 02139, USA.
*/
#ifndef _FSC_H
#define _FSC_H

typedef enum {
	FSF_FORCE_FSCK = 0x1,
} fs_flags_t;

typedef struct {
	int count;
	int pad;
	struct mntent entries[0];
} mount_entries_t;

typedef struct {
	char *name;
	char *type;
	char *mountpoint;
	char *device;
} mount_info_t;

mount_entries_t *get_mount_list(const char *file);
void free_mount_list(mount_entries_t *ml);
int parse_mount_flags(char *mount_options_in, unsigned long*flags_ret,
		      char *fs_opts, size_t fs_optsz);
int is_mounted(mount_entries_t *ml, char *device, char *location);

extern ra_info_t fsc_agent;



#endif
