.TH RESOURCE_AGENT 8 2009-01-20 "fs (Resource Agent)"
.SH
fs
Cluster Resource Agent

.SH DESCRIPTION
File system agent written in C - designed to be a lot faster than the shell-based one.

.SH PARAMETERS

	
.TP
.B name
Name of file system. This is a symbolic name used to help you remember the purpose of this file system.
This is the defining attribute for the fs resource type, and will be shown in logs.
No other instances of the 
.B fs
resource may have the same value for the 
.B name
parameter.
This parameter is required; the resource manager will ignore specification of a resource without this parameter.
Content: string

	
.TP
.B device
File system device, label, or UUID. This identifies the file system you want to mount. For labels, use LABEL=mylabel format; for UUIDs, use UUID=myuuid.
No other instances of the 
.B fs
resource may have the same value for the 
.B device
parameter.

Content: string

	
.TP
.B mountpoint
File system mountpoint.
No other instances of the 
.B fs
resource may have the same value for the 
.B mountpoint
parameter.

Content: string

	
.TP
.B fstype
File system type. This can be any file system type supported by your kernel.

Content: string
Default Value: ext3
	
.TP
.B options
File system mount options. See the mount(1) manual page for a complete list.

Content: string

	
.TP
.B self_fence
Self fencing option. If set to 0, (default), the fsc agent will return an error code if it fails to unmount the file system during the stop operation. If set to 1, fsc will reboot the machine, allowing recovery of the service on another node in the cluster.

Content: boolean
Default Value: 0
	
.TP
.B external_mount
Use mount/umount commands instead of syscalls. This trades some amount of performance for usability. If set to 0 (default), fsc will use syscalls (which is very fast), but not update /etc/mtab.

Content: boolean
Default Value: 0
	
.TP
.B fsid
File system ID (for NFS). If the service fails over, NFS clients will normally reacquire file handles on the new server using the device major/minor numbers. However, in a cluster, there is no guarantee that every device major/minor will be consistent cluster-wide. The NFS FSID fixes this by using a static value instead of the device major/minor numbers. This number can be any 32-bit integer, and must be unique across all file systems used for NFS services in the cluster.

Content: integer

	

.SH RGMANAGER INTERNAL PARAMETERS
.TP
.B __enforce_timeouts
If set to 1, an operation exceeding the defined timeout will be considered
a failure of that operation.  Note that fail-to-stop is critical, and causes
a service to enter the failed state.

.TP
.B __independent_subtree
If set to 1, failure of a status operation of this resource or any of its
children will be considered non-fatal unless a restart of this resource and
all of its children also fails.

.SH ACTIONS

		
.TP
\fBstart\fp (timeout: 30s) 
This starts the resource.

		
.TP
\fBstop\fp (timeout: 30s) 
This stops the resource.

		
.TP
\fBstatus\fp (timeout: 30s) 
This checks the status of the resource.  This is LSB compliant, but not specified by the OCF Resource Agent API.  This is synonymous with
.B monitor
on some resource managers.

		
.TP
\fBvalidate-all\fp (timeout: 30s) 
Given (minimally) all required parameters to start or check the status of the resource, validate that those parameters are correct as much as possible.

		
.TP
\fBmeta-data\fp (timeout: 30s) 
Display the XML metadata describing this resource.

	
.SH NOTES
.PP
This manual page was automatically generated.
.SH REFERENCES
.PP
http://www.opencf.org/cgi-bin/viewcvs.cgi/specs/ra/resource-agent-api.txt?rev=HEAD - The Open Cluster Framework Resource Agent Application Programming Interface draft version 1.0

.PP
http://www.linux-foundation.org/spec/refspecs/LSB_3.1.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html - Linux Standards Base v3.1.0 - Init Script Actions

.PP
http://sources.redhat.com/cluster/wiki/RGManager - Linux-cluster Resource Group Manager information
